<!DOCTYPE html>
<html>
    <head>
        <link href="./img/favicon.png" rel="shortcut icon"/>
        <meta charset="utf-8"/>
        <meta content="width=1366px, maximum-scale=1.0" name="viewport"/>
        <link href="./css/demoForRebuild.css" rel="stylesheet" type="text/css"/>
        <meta content="Launchpad by Anima" name="author">
        </meta>
    </head>
    <body style="margin: 0;
 background: rgba(255, 255, 255, 1.0);">
        <input id="anPageName" name="page" type="hidden" value="demoforrebuild"/>
        <div class="demoforrebuild">
            <div style="width: 1366px; height: 100%; position:relative; margin:auto;">
                <img anima-src="./img/practice-heapsort-path-14-copy-9@2x.png" class="path14copy8" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="arrowcopy2">
                    <div class="group4">
                        <img anima-src="./img/practice-heapsort-path-6@2x.png" class="path6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/practice-heapsort-path-7@2x.png" class="path7" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="group15copy">
                    <div class="i1">
                        i
                    </div>
                    <img anima-src="./img/practice-heapsort-oval-2@2x.png" class="oval21" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="group14copy">
                    <div class="i2">
                        i
                    </div>
                    <img anima-src="./img/practice-heapsort-oval-2 1@2x.png" class="oval22" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="exercise">
                    Demo for Rebuild Operation
                    <br/>
                </div>
                <div class="rectangle4">
                </div>
                <div class="rectangle4copy2">
                </div>
                <div class="group6">
                    <div class="moreu2026">
                        more…
                    </div>
                    <div class="rectangle4copy5">
                    </div>
                </div>
                <div class="q1">
                    D.1
                </div>
                <div class="q2">
                    D.2
                </div>
                <img anima-src="./img/practice-heapsort-path-14-copy-9@2x.png" class="path14copy5" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/practice-heapsort-path-14-copy-9@2x.png" class="path14copy6" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="createalinkedlist">
                    Insert these elements into heap in the following order : -9,20,49,89,35,60,91
                </div>
                <div class="arrowcopy">
                    <div class="group41">
                        <img anima-src="./img/practice-heapsort-path-6@2x.png" class="path61" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/practice-heapsort-path-7@2x.png" class="path71" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                </div>
                <div class="group14">
                    <div class="group12">
                        <div class="rectangle3">
                        </div>
                        <div class="group7">
                            <img anima-src="./img/practice-heapsort-path-3-copy@2x.png" class="path2copy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <img anima-src="./img/practice-heapsort-path-14-copy-9@2x.png" class="path14copy9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <div class="solveatleasttwoqu">
                                Solve at least two questions
                                <br/>
                                Insert the value of node in given order &amp; swap whenever needed
                                <br/>
                                Swap button takes two ids of parent and child node
                            </div>
                            <div class="instruction">
                                Instruction:
                            </div>
                        </div>
                        <div class="rectangle5">
                        </div>
                        <div class="rightarrow">
                            <img anima-src="./img/practice-heapsort-shape@2x.png" class="shape" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        </div>
                    </div>
                </div>
                <img anima-src="./img/demo-for-rebuild-shape-copy@2x.png" class="shapecopy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/demo-for-rebuild-shape 1@2x.png" class="shape1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/demo-for-rebuild-shape 2@2x.png" class="shape2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <img anima-src="./img/demo-for-rebuild-shape 3@2x.png" class="shape3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                <div class="group42">
                    <div class="group2">
                        <img anima-src="./img/practice-heapsort-oval-4@2x.png" class="oval4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <div class="a89">
                            89
                        </div>
                    </div>
                    <div class="group7copy7">
                        <img anima-src="./img/practice-heapsort-path-9@2x.png" class="path9" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/practice-heapsort-path-9-copy@2x.png" class="path9copy" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="group7copy8">
                        <img anima-src="./img/practice-heapsort-path-9 1@2x.png" class="path91" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <img anima-src="./img/practice-heapsort-path-9-copy 1@2x.png" class="path9copy1" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    </div>
                    <div class="group2copy3">
                        <img anima-src="./img/practice-heapsort-oval-4 1@2x.png" class="oval41" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <div class="a35">
                            35
                        </div>
                    </div>
                    <div class="group2copy5">
                        <img anima-src="./img/practice-heapsort-oval-4 3@2x.png" class="oval42" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <div class="a49">
                            49
                        </div>
                    </div>
                    <div class="group2copy6">
                        <img anima-src="./img/practice-heapsort-oval-4 3@2x.png" class="oval43" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                        <div class="a20">
                            20
                        </div>
                    </div>
                    <div class="group2copy8">
                        <div class="group21">
                            <img anima-src="./img/practice-heapsort-oval-4 4@2x.png" class="oval44" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                            <div class="a9">
                                -9
                            </div>
                        </div>
                    </div>
                    <div class="in1">
                        1
                    </div>
                    <div class="in1">
                        3
                    </div>
                    <div class="in1">
                        4
                    </div>
                    <div class="in1">
                        2
                    </div>
                    <div class="a0copy">
                        0
                    </div>
                </div>
                <div class="icon">
                    <img anima-src="./img/practice-heapsort-shape 2@2x.png" class="shape4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
                <div class="groupcopy">
                    <img anima-src="./img/demo-for-rebuild-shape-copy@2x.png" class="shapecopy2" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/demo-for-rebuild-shape-copy-4@2x.png" class="shapecopy3" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                    <img anima-src="./img/demo-for-rebuild-shape-copy-4@2x.png" class="shapecopy4" src="data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw=="/>
                </div>
            </div>
        </div>
        <!-- Scripts -->
        <script>
            anima_isHidden = function(e) {
                if (!(e instanceof HTMLElement)) return !1;
                if (getComputedStyle(e).display == "none") return !0; else if (e.parentNode && anima_isHidden(e.parentNode)) return !0;
                return !1;
            };
            anima_loadAsyncSrcForTag = function(tag) {
                var elements = document.getElementsByTagName(tag);
                var toLoad = [];
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var src = e.getAttribute("src");
                    var loaded = (src != undefined && src.length > 0 && src != 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==');
                    if (loaded) continue;
                    var asyncSrc = e.getAttribute("anima-src");
                    if (asyncSrc == undefined || asyncSrc.length == 0) continue;
                    if (anima_isHidden(e)) continue;
                    toLoad.push(e);
                }
                toLoad.sort(function(a, b) {
                    return anima_getTop(a) - anima_getTop(b);
                });
                for (var i = 0; i < toLoad.length; i++) {
                    var e = toLoad[i];
                    var asyncSrc = e.getAttribute("anima-src");
                    e.setAttribute("src", asyncSrc);
                }
            };
            anima_pauseHiddenVideos = function(tag) {
                var elements = document.getElementsByTagName("video");
                for (var i = 0; i < elements.length; i++) {
                    var e = elements[i];
                    var isPlaying = !!(e.currentTime > 0 && !e.paused && !e.ended && e.readyState > 2);
                    var isHidden = anima_isHidden(e);
                    if (!isPlaying && !isHidden && e.getAttribute("autoplay") == "autoplay") {
                        e.play();
                    } else if (isPlaying && isHidden) {
                        e.pause();
                    }
                }
            };
            anima_loadAsyncSrc = function(tag) {
                anima_loadAsyncSrcForTag("img");
                anima_loadAsyncSrcForTag("iframe");
                anima_loadAsyncSrcForTag("video");
                anima_pauseHiddenVideos();
            };
            var anima_getTop = function(e) {
                var top = 0;
                do {
                    top += e.offsetTop || 0;
                    e = e.offsetParent;
                } while (e);
                return top;
            };
            anima_loadAsyncSrc();
            anima_old_onResize = window.onresize;
            anima_new_onResize = undefined;
            anima_updateOnResize = function() {
                if (anima_new_onResize == undefined || window.onresize != anima_new_onResize) {
                    anima_new_onResize = function(x) {
                        if (anima_old_onResize != undefined) anima_old_onResize(x);
                        anima_loadAsyncSrc();
                    };
                    window.onresize = anima_new_onResize;
                    setTimeout(function() {
                        anima_updateOnResize();
                    }, 3000);
                }
            };
            anima_updateOnResize();
            setTimeout(function() {
                anima_loadAsyncSrc();
            }, 200);
        </script>
        <!-- End of Scripts -->
    </body>
</html>
